Incus - Command line client(1)

NAME

incus-storage-bucket-key-create - Create key for a storage bucket

SYNOPSIS

incus storage bucket key create [:] [flags]

DESCRIPTION

Description:
  Create key for a storage bucket

OPTIONS

--access-key=""
    Access key (auto-generated if empty)``

--description=""
    Key description``

--role="read-only"
    Role (admin or read-only)``

--secret-key=""
    Secret key (auto-generated if empty)``

--target=""
    Cluster member name``

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    Show all debug messages

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus storage bucket key create p1 b01 k1
      	Create a key called k1 for the bucket b01 in the pool p1.

      incus storage bucket key create p1 b01 k1 < config.yaml
      	Create a key called k1 for the bucket b01 in the pool p1 using the content of config.yaml.

SEE ALSO

incus-storage-bucket-key(1)

HISTORY

27-Apr-2025 Auto generated by spf13/cobra